Functions | Variables

# order_backup.cpp File Reference

Handling of order backups. More...

`#include "stdafx.h"`
`#include "command_func.h"`
`#include "core/pool_func.hpp"`
`#include "network/network.h"`
`#include "network/network_func.h"`
`#include "order_backup.h"`
`#include "vehicle_base.h"`
`#include "window_func.h"`
`#include "station_map.h"`

Go to the source code of this file.

## Functions
CommandCost | CmdClearOrderBackup (TileIndex tile, DoCommandFlag flags, uint32 p1, uint32 p2, const char *text)
| Clear an OrderBackup.
## Variables
OrderBackupPool | _order_backup_pool ("BackupOrder")
| The pool with order backups.

## Detailed Description

Handling of order backups.

Definition in file order_backup.cpp.

## Function Documentation

CommandCost CmdClearOrderBackup | ( | TileIndex | tile,
|  | DoCommandFlag | flags,
|  | uint32 | p1,
|  | uint32 | p2,
|  | const char * | text |
| ) |  |  |

Clear an OrderBackup.

Parameters:

  | tile | Tile related to the to-be-cleared OrderBackup.
  | flags | For command.
  | p1 | Unused.
  | p2 | User that had the OrderBackup.
  | text | Unused.

Returns:
  The cost of this operation or an error.

Definition at line 154 of file order_backup.cpp.

References DC_EXEC, INVALID_TILE, and OrderBackup::ResetOfUser().

## Variable Documentation

OrderBackupPool _order_backup_pool("BackupOrder")

The pool with order backups.